# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Mozilla browser.
#
# The Initial Developer of the Original Code is
# Netscape Communications, Inc.
# Portions created by the Initial Developer are Copyright (C) 1999
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Stuart Parmenter <pavlov@netscape.com>
#
# Alternatively, the contents of this file may be used under the terms of
# either of the GNU General Public License Version 2 or later (the "GPL"),
# or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEPTH		= ../..
topsrcdir	= @top_srcdir@
srcdir		= @srcdir@
VPATH		= @srcdir@

include $(DEPTH)/config/autoconf.mk

MODULE		= docshell
ifeq ($(OS_ARCH),WINNT)
XPIDL_MODULE	= docshell_base
endif
LIBRARY_NAME	= basedocshell_s
GRE_MODULE	= 1
LIBXUL_LIBRARY	= 1

REQUIRES	= xpcom \
		  string \
		  caps \
		  necko \
		  gfx \
		  thebes \
		  layout \
		  content \
		  dom \
		  js \
		  uriloader \
		  exthandler \
		  htmlparser \
		  view \
		  pref \
		  locale \
		  webbrwsr \
		  xpconnect \
		  widget \
		  shistory \
		  intl \
		  plugin \
		  webshell \
		  chardet \
		  uconv \
		  xuldoc \
		  find \
		  nkcache \
		  composer \
		  commandhandler \
		  editor \
		  windowwatcher \
		  imglib2 \
		  mimetype \
		  $(NULL)

SDK_XPIDLSRCS = \
		nsIGlobalHistory.idl \
		$(NULL)

XPIDLSRCS	= \
		nsCDocShell.idl			\
		nsCDefaultURIFixup.idl		\
		nsIDocShell.idl			\
		nsIDocShellLoadInfo.idl	\
		nsIDocShellTreeItem.idl	\
		nsIDocShellTreeNode.idl	\
		nsIDocShellTreeOwner.idl	\
		nsIDocShellHistory.idl \
		nsIGlobalHistory2.idl \
		nsIGlobalHistory3.idl \
		nsIMarkupDocumentViewer.idl	\
		nsIScrollable.idl		\
		nsITextScroll.idl		\
		nsIWebNavigation.idl		\
		nsIWebNavigationInfo.idl        \
		nsIContentViewer.idl		\
		nsIContentViewerEdit.idl	\
		nsIContentViewerFile.idl	\
		nsIURIFixup.idl			\
		nsIEditorDocShell.idl		\
		nsIWebPageDescriptor.idl	\
		nsIURIClassifier.idl		\
		$(NULL)

EXPORTS		= nsDocShellLoadTypes.h

CPPSRCS		= \
		nsDocShell.cpp		\
		nsWebShell.cpp		\
		nsDocShellLoadInfo.cpp		\
		nsDocShellEditorData.cpp	\
		nsDocShellTransferableHooks.cpp \
		nsDocShellEnumerator.cpp  \
		nsDSURIContentListener.cpp		\
		nsDefaultURIFixup.cpp		\
		nsGlobalHistoryAdapter.cpp \
		nsGlobalHistory2Adapter.cpp \
		nsWebNavigationInfo.cpp \
		nsAboutRedirector.cpp \
		$(NULL)

# we don't want the shared lib, but we want to force the creation of a
# static lib.
FORCE_STATIC_LIB = 1

include $(topsrcdir)/config/rules.mk

LOCAL_INCLUDES += -I$(srcdir)/../shistory/src
